@extends('layouts.guest')
@section('title', $business->name)

<style>
    body{
        direction: rtl !important;
    }
    

.navbar-nav {
    float: right;
    margin: 0;
}
.main-cart{
    font-size: 30px !important;
    position: fixed;
    top: -16px;
    left: 1px;
    z-index: 10000000000000000000;
}
.cart_num{
        color: red;
    background: yellow;
    color: black;
    border-radius: 50px;
    /* width: 70px; */
    position: absolute;
    right: -18px;
    top: -3px;
    font-size: 21px;
    width: 32px;
}
</style>
@section('content')
<a href="{{action('\Modules\ProductCatalogue\Http\Controllers\ProductCatalogueController@myCart')}}">
<h1 class="btn btn-success main-cart"><i class="fas fa-shopping-cart"></i> <span class="cart_num">{{Cart::count()}}</span></h1>
</a>
<!-- Content Header (Page header) -->
<section class="content-header text-center" id="top">
    <h2>{{$business->name}}</h2>
    <h4 class="mb-0">{{$business_location->name}}</h4>
    <p>{!! $business_location->location_address !!}</p>
</section>
<section class="no-print">
    <div class="container">
        <!-- Static navbar -->
        <nav class="navbar navbar-default">
            <div class="container-fluid">
                <div class="navbar-header" style="float:right">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand menu" href="#top">
                        @if(!empty($business->logo))
                            <img src="{{asset( 'uploads/business_logos/' . $business->logo)}}" alt="Logo" width="30">
                        @else
                            <i class="fas fa-boxes"></i>
                        @endif
                    </a>
                </div>
                <div id="navbar" class="navbar-collapse collapse">
                    <ul class="nav navbar-nav" style="float:right">
                    @foreach($categories as $key => $value)
                        <li><a href="#category{{$key}}" class="menu">{{$value}}</a></li>
                    @endforeach 
                        <li><a href="#category0" class="menu">Uncategorized</a></li>           
                    </ul>
                </div><!--/.nav-collapse -->
            </div><!--/.container-fluid -->
        </nav>
    </div> <!-- /container -->
</section>
<!-- Main content -->
<section class="content pt-0">
    <div class="container">
        @foreach($products as $product_category)
            <div class="row">
                <div class="col-md-12">
                    <h2 class="page-header" id="category{{$product_category->first()->category->id ?? 0}}">{{$product_category->first()->category->name ?? 'Uncategorized'}}</h2>
                </div>
            </div>
            <div class="row eq-height-row">
            @foreach($product_category as $product)
          
                @if($product->qty_available>0)
                <div class="col-md-3 col-xs-12 eq-height-col">
                    <div class="box box-solid product-box">
                        <div class="box-body">
                            <a href="#" class="show-product-details" data-href="{{action('\Modules\ProductCatalogue\Http\Controllers\ProductCatalogueController@show',  [$business->id, $product->id])}}?location_id={{$business_location->id}}">
                            <img src="{{$product->image_url}}" class="img-responsive catalogue"></a>

                            @php
                                $discount = $discounts->firstWhere('brand_id', $product->brand_id);
                                if(empty($discount)){
                                    $discount = $discounts->firstWhere('category_id', $product->category_id);
                                }
                            @endphp

                            @if(!empty($discount))
                                <span class="label label-warning discount-badge">- {{@num_format($discount->discount_amount)}}%</span>
                            @endif

                            @php
                                $max_price = $product->variations->max('sell_price_inc_tax');
                                $min_price = $product->variations->min('sell_price_inc_tax');
                                $price_group_id=request()->get('price_group');
                                if($price_group_id > 0){
                                
                                    $min_price=$max_price = \DB::table('variation_group_prices')->where('price_group_id',$price_group_id)->where('variation_id',$product->variations[0]->id)->sum('price_inc_tax');
                                
                                    if($min_price==0){
                                        $min_price=$max_price=$product->variations->min('sell_price_inc_tax');
                                    }
                              
                                }
                            @endphp
                            <h2 class="catalogue-title">
                                <a href="#" class="show-product-details" data-href="{{action('\Modules\ProductCatalogue\Http\Controllers\ProductCatalogueController@show',  [$business->id, $product->id])}}?location_id={{$business_location->id}}">
                                    {{$product->name}}
                                </a>
                            </h2>
                            <table class="table no-border product-info-table">
                                <tr>
                                    <th class="pb-0"> @lang('lang_v1.price'):</th>
                                    <td class="pb-0">
                                        <span class="display_currency" data-currency_symbol="true">{{number_format($max_price, 2, '.', ' ')}}</span> @if($max_price !== $min_price) - <span class="display_currency" data-currency_symbol="true">{{number_format($min_price, 2, '.', ' ')}}</span> @endif
                                    </td>
                                </tr>
                                <tr>
                                    <th class="pb-0"> @lang('product.sku'):</th>
                                    <td class="pb-0">{{$product->sku}}</td>
                                </tr>
                            @if($product->type == 'variable')
                                @php
                                    $variations = $product->variations->groupBy('product_variation_id');
                                @endphp
                              

                                @foreach($variations as $product_variation)
                                    <tr>
                                        <th>{{$product_variation->first()->product_variation->name}}: </th>
                                        <td>
                                            <select class="form-control input-sm">
                                            @foreach($product_variation as $variation)
                                                <option value="{{$variation->id}}">{{$variation->name}} ({{$variation->sub_sku}}) - {{  number_format($variation->sell_price_inc_tax, 2, '.', ' ') }}</option>
                                            @endforeach
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th colspan="2"> <button class="btn btn-success" onClick="addToCart({{$product->id}},{{$variation->id}});"> <i class="fas fa-shopping-cart"></i>  </button></th>
                                    </tr>
                                    
                                @endforeach
                            @else
                                <tr>
                                    <th colspan="2"> <button class="btn btn-success" onClick="addToCart({{$product->id}});"> <i class="fas fa-shopping-cart"></i>  </button></th>
                                </tr>
                            @endif
                            
                            </table>
                        </div>
                    </div>
                </div>
                @if($loop->iteration%4 == 0)
                    <div class="clearfix"></div>
                @endif
                
                @endif
            @endforeach
            </div>
        @endforeach
     
    </div>
    <div class='scrolltop no-print'>
        <div class='scroll icon'><i class="fas fa-angle-up"></i></div>
    </div>
</section>
<!-- /.content -->
<!-- Add currency related field-->
<input type="hidden" id="__code" value="{{$business->currency->code}}">
<input type="hidden" id="__symbol" value="{{$business->currency->symbol}}">
<input type="hidden" id="__thousand" value="{{$business->currency->thousand_separator}}">
<input type="hidden" id="__decimal" value="{{$business->currency->decimal_separator}}">
<input type="hidden" id="__symbol_placement" value="{{$business->currency->currency_symbol_placement}}">
<input type="hidden" id="__precision" value="{{config('constants.currency_precision', 2)}}">
<input type="hidden" id="__quantity_precision" value="{{config('constants.quantity_precision', 2)}}">
<div class="modal fade product_modal" tabindex="-1" role="dialog" 
    aria-labelledby="gridSystemModalLabel">
</div>
@stop
@section('javascript')
<script type="text/javascript">

    (function($) {
    $(document).ready( function() {
        //Set global currency to be used in the application
        __currency_symbol = $('input#__symbol').val();
        __currency_thousand_separator = $('input#__thousand').val();
        __currency_decimal_separator = $('input#__decimal').val();
        __currency_symbol_placement = $('input#__symbol_placement').val();
        if ($('input#__precision').length > 0) {
            __currency_precision = $('input#__precision').val();
        } else {
            __currency_precision = 2;
        }

        if ($('input#__quantity_precision').length > 0) {
            __quantity_precision = $('input#__quantity_precision').val();
        } else {
            __quantity_precision = 2;
        }

        //Set page level currency to be used for some pages. (Purchase page)
        if ($('input#p_symbol').length > 0) {
            __p_currency_symbol = $('input#p_symbol').val();
            __p_currency_thousand_separator = $('input#p_thousand').val();
            __p_currency_decimal_separator = $('input#p_decimal').val();
        }

        __currency_convert_recursively($('.content'));
    });

    $(document).on('click', '.show-product-details', function(e){
        e.preventDefault();
        $.ajax({
            url: $(this).data('href'),
            dataType: 'html',
            success: function(result) {
                $('.product_modal')
                    .html(result)
                    .modal('show');
                __currency_convert_recursively($('.product_modal'));
            },
        });
    });

    $(document).on('click', '.menu', function(e){
        e.preventDefault();
        $('.navbar-toggle').addClass('collapsed');
        $('.navbar-collapse').removeClass('in');

        var cat_id = $(this).attr('href');
        if ($(cat_id).length) {
            $('html, body').animate({
                scrollTop: $(cat_id).offset().top
            }, 1000);
        }
    });

    })(jQuery);

    $(window).scroll(function() {
        var height = $(window).scrollTop();

        if(height  > 180) {
            $('nav').addClass('navbar-fixed-top');
            $('.scrolltop:hidden').stop(true, true).fadeIn();
        } else {
            $('nav').removeClass('navbar-fixed-top');
            $('.scrolltop').stop(true, true).fadeOut();
        }
    });

    $(document).on('click', '.scroll', function(e){
        $("html,body").animate({scrollTop:$("#top").offset().top},"1000");
        return false;
    });
</script>
<script>
    function addToCart(product_id,variation_id=null){
        debugger;
        $.ajax({
            url: "{{action('\Modules\ProductCatalogue\Http\Controllers\ProductCatalogueController@addToCart')}}",
            type:"POST",
            data: {
                _token: "{{csrf_token()}}",
                product_id:product_id,
                variation_id:variation_id,
                price_group:"{{request()->get('price_group')}}"
            },
            
            success: function(result) {
               $('.cart_num').text(result);
            },
        });
        
    }
    function updateCart(){
        return 1;
    }
</script>
@endsection
